server {
	server_name philol.vernadskyjournals.in.ua www.philol.vernadskyjournals.in.ua;
	charset off;
	disable_symlinks if_not_owner from=$root_path;
	include /etc/nginx/vhosts-includes/*.conf;
	include /etc/nginx/vhosts-resources/philol.vernadskyjournals.in.ua/*.conf;
	access_log /var/www/httpd-logs/philol.vernadskyjournals.in.ua.access.log;
	error_log /var/www/httpd-logs/philol.vernadskyjournals.in.ua.error.log notice;
	ssi on;
	set $root_path /var/www/vernadskyj/data/www/philol.vernadskyjournals.in.ua;
	root $root_path;
	location / {
		location ~ [^/]\.ph(p\d*|tml)$ {
			try_files /does_not_exists @fallback;
		}
		location ~* ^.+\.(jpg|jpeg|gif|png|svg|js|css|mp3|ogg|mpe?g|avi|zip|gz|bz2?|rar|swf)$ {
			try_files $uri $uri/ @fallback;
		}
		location / {
			try_files /does_not_exists @fallback;
		}
	}
	location @fallback {
		proxy_pass http://127.0.0.1:8080;
		proxy_redirect http://127.0.0.1:8080 /;
		proxy_set_header Host $host;
		proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
		proxy_set_header X-Forwarded-Proto $scheme;
		proxy_set_header X-Forwarded-Port $server_port;
		access_log off;
	}
	listen 178.20.159.174:80;
}
server {
	server_name philol.vernadskyjournals.in.ua www.philol.vernadskyjournals.in.ua;
	ssl_certificate "/var/www/httpd-cert/vernadskyj/philol.vernadskyjournals.in.ua_le1.crtca";
	ssl_certificate_key "/var/www/httpd-cert/vernadskyj/philol.vernadskyjournals.in.ua_le1.key";
	ssl_ciphers EECDH:+AES256:-3DES:RSA+AES:!NULL:!RC4;
	ssl_prefer_server_ciphers on;
	ssl_protocols TLSv1 TLSv1.1 TLSv1.2;
	ssl_dhparam /etc/ssl/certs/dhparam4096.pem;
	charset off;
	disable_symlinks if_not_owner from=$root_path;
	include /etc/nginx/vhosts-includes/*.conf;
	include /etc/nginx/vhosts-resources/philol.vernadskyjournals.in.ua/*.conf;
	access_log /var/www/httpd-logs/philol.vernadskyjournals.in.ua.access.log;
	error_log /var/www/httpd-logs/philol.vernadskyjournals.in.ua.error.log notice;
	ssi on;
	set $root_path /var/www/vernadskyj/data/www/philol.vernadskyjournals.in.ua;
	root $root_path;
	listen 178.20.159.174:443 ssl;
	location / {
		location ~ [^/]\.ph(p\d*|tml)$ {
			try_files /does_not_exists @fallback;
		}
		location ~* ^.+\.(jpg|jpeg|gif|png|svg|js|css|mp3|ogg|mpe?g|avi|zip|gz|bz2?|rar|swf)$ {
			try_files $uri $uri/ @fallback;
		}
		location / {
			try_files /does_not_exists @fallback;
		}
	}
	location @fallback {
		proxy_pass http://127.0.0.1:8080;
		proxy_redirect http://127.0.0.1:8080 /;
		proxy_set_header Host $host;
		proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
		proxy_set_header X-Forwarded-Proto $scheme;
		proxy_set_header X-Forwarded-Port $server_port;
		access_log off;
	}
}
